Subject: [sfc] Questions to draft-ietf-sfc-nsh-tlv

From: Greg Mirsky <[email-masked]>
Date: Thu, 22 Mar 2018 14:41:02 +0000

Dear Authors, et. al,
appreciate your consideration of my questions:

   - I've noticed that Figure 1 of NSH Base Header in the draft differs
   from the NSH Base Header format as defined in section 2 of RFC 8300. Would
   you agree?
   - and I've noticed that the NSH TLV format provided in the draft is
   different from variable-length context header per section 2.5.1 of RFC
   8300. Am I correct?
   - nits:
   - Figures 2 and 3 seems redundant;
   - enumeration of figures in the draft stops after Figure 3

Regards,
Greg

---

From: Sumandra Majee <[email-masked]>
Date: Mon, 26 Mar 2018 20:52:29 +0000

Yes, you are right and thanks for pointing it out. I will update and submit a new version shortly.

Thanks.
Sumandra

From: Greg Mirsky <[email-masked]>
Date: Thursday, March 22, 2018 at 7:41 AM
To: "[email-masked]" <[email-masked]>, Service Function Chaining IETF list <[email-masked]>
Subject: Questions to draft-ietf-sfc-nsh-tlv
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, Sumandra Majee <[email-masked]>
Resent-Date: Thursday, March 22, 2018 at 7:41 AM

EXTERNAL MAIL: [email-masked]
Dear Authors, et. al,
appreciate your consideration of my questions:

  *   I've noticed that Figure 1 of NSH Base Header in the draft differs from the NSH Base Header format as defined in section 2 of RFC 8300. Would you agree?
  *   and I've noticed that the NSH TLV format provided in the draft is different from variable-length context header per section 2.5.1 of RFC 8300. Am I correct?
  *   nits:
  *   Figures 2 and 3 seems redundant;
  *   enumeration of figures in the draft stops after Figure 3
Regards,
Greg

---

From: Sumandra Majee <[email-masked]>
Date: Mon, 26 Mar 2018 20:55:31 +0000

Resending.

Thanks.
Sumandra